Bug 677664 - pam USER_ROLE_CHANGE audit events missing some info
Summary: pam USER_ROLE_CHANGE audit events missing some info
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pam   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: Milos Malik
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHEL62CCC 846801 846802
TreeView+ depends on / blocked
 
Reported: 2011-02-15 14:23 UTC by Steve Grubb
Modified: 2015-09-28 02:07 UTC (History)
3 users (show)

Fixed In Version: pam-1.1.1-7.el6
Doc Type: Bug Fix
Doc Text:
The audit records provided by the pam_selinux and pam_tally2 modules have been improved to include tty and remote hostname information in each recorded event.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 14:02:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0685 normal SHIPPED_LIVE pam bug fix and enhancement update 2011-05-18 18:10:29 UTC

Description Steve Grubb 2011-02-15 14:23:12 UTC
Description of problem:
The USER_ROLE_CHANGE audit events are missing hostname, addr, and terminal fields. Looking at the code I see this:

audit_log_user_message(audit_fd, AUDIT_USER_ROLE_CHANGE,
                                   msg, NULL, NULL, NULL, success)

Those NULLs should be filled in with results from pam_get_item().

Steps to Reproduce:
1. Log in via sshd
2. As root user, ausearch --start today -m USER_ROLE_CHANGE

Comment 6 Tomas Mraz 2011-02-21 10:08:12 UTC
There is no reasonable way how to get the remote host name in the separate executables. The faillock will be called by admin in an existing login session so it can be easily traced back. The unix_chkpwd audit was added for the case of screensaver password entry auditing - here this is also running in an existing login session.

Comment 10 Laura Bailey 2011-05-06 06:59:14 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The audit records provided by the pam_selinux and pam_tally2 modules have been improved to include tty and remote hostname information in each recorded event.

Comment 11 errata-xmlrpc 2011-05-19 14:02:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0685.html


Note You need to log in before you can comment on or make changes to this bug.